Bug 1459909 - [GANESHA] Mounting ganesha volume with UDP on client fails
[GANESHA] Mounting ganesha volume with UDP on client fails
Status: ASSIGNED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: nfs-ganesha (Show other bugs)
3.3
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Soumya Koduri
Manisha Saini
:
Depends On: 1462088
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-08 10:11 EDT by Manisha Saini
Modified: 2017-09-28 13:44 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Manisha Saini 2017-06-08 10:11:50 EDT
Description of problem:

Mounting ganesha volume with UDP on client gets timeout even when the services mentioned in pre-requisite is added to firewalld.

 firewall-cmd --zone=zone_name --add-service=nlm  --add-service=nfs  --add-service=rpc-bind  --add-service=high-availability --add-service=mountd --add-service=rquota

If the nfs specific port i.e 2049/UDP is added to firewalld,UDP mount works

Version-Release number of selected component (if applicable):

# rpm -qa | grep ganesha
nfs-ganesha-gluster-2.4.4-8.el7rhgs.x86_64
nfs-ganesha-debuginfo-2.4.4-8.el7rhgs.x86_64
glusterfs-ganesha-3.8.4-27.el7rhgs.x86_64
nfs-ganesha-2.4.4-8.el7rhgs.x86_64


How reproducible:
Consistently

Steps to Reproduce:
1.Create a 4 node ganesha cluster
2.Create a volume.Enable ganesha on it
3.Mount the volume to client via UDP

# mount -t nfs -o vers=3,udp 10.70.42.40:/dist /mnt/mani_udp/
mount.nfs: Connection timed out


Actual results:
UDP mount gets timed-out

Expected results:
Volume should be mounted via UDP successfully

Additional info:
Comment 6 Soumya Koduri 2017-06-16 03:45:06 EDT
Have raised BZ#1462088 to address it part of firewalld package. For this release, bug1462095 and bug1462098 should take care of handling that extra step to manually open the port before cluster setup.
Comment 9 Kaleb KEITHLEY 2017-08-16 08:57:02 EDT
fix in upstream firewalld, waiting for downstream

Note You need to log in before you can comment on or make changes to this bug.